Assignee:

Category: Python plugins

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13042
Description

The general idea is that QGIS would send the the Python code for each action (or just the more common ones) that it preforms. Code
could be sent to file or console so that people could copy and paste it into a script and run it later. Of course you wouldn't do this all the
time only when a certain trigger is set in the Python console or a config screen.

For example, say the user opens a table from a [[PostGIS]] database and sets its style to fill solid red. QGIS would output the needed
Python code to open the table, add it to the map canvas and change its color.

[[Maplnfo]] does this with [[MapBasic]] and | know it was handy for me to learn how to use the [[MapBasic]] APIs when | first started by
just watching what it generated.

I'm not sure how hard this would be or even if anyone else thinks it's worth having but could be handy for people to learn the QGIS python
API and help with writing scripts.

History

#1 - 2012-07-08 09:51 PM - Alister Hood
- Pull Request or Patch supplied set to No

It seems there is a Python macro recorder for Blender - maybe this could provide some inspiration/code.

#2 - 2012-07-09 12:19 AM - Jiirgen Fischer

- Assignee deleted (Borys Jurgiel)

#3 - 2012-10-06 02:23 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
